package xiaoqu.home.open.publicBean;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel("分页查询基本输入包")
public class PageInput {
	@ApiModelProperty("每页条数大小例如：10，默认10条")
	private Integer rows;
	@ApiModelProperty("当前查询地几页例如：1，默认第1页")
	private Integer page;
	@ApiModelProperty("需要排序的字段例如：id，非必须")
	private String sidx ="id";
	@ApiModelProperty("排序方式，asc:升序，desc:降序  非必须")
	private String sord ="desc";
	@ApiModelProperty("页面ID-webId")
	private Long webId;

	public Long getWebId() {
		return webId;
	}

	public void setWebId(Long webId) {
		this.webId = webId;
	}

	public Integer getRows() {
		return rows != null && rows > 0 && rows < 1000 ? rows : 10;
	}

	public void setRows(Integer rows) {
		this.rows = rows;
	}

	public Integer getPage() {
		return page != null && page > 0 ? page : 1;
	}

	public void setPage(Integer page) {
		this.page = page;
	}

	public String getSidx() {
		return sidx;
	}

	public void setSidx(String sidx) {
		this.sidx = sidx;
	}

	public String getSord() {
		return sord;
	}

	public void setSord(String sord) {
		this.sord = sord;
	}
}
